package soln;


import java.util.Scanner;

import type.lib.ToolBox;

/**
 * Name: Last Name, First Name
 *
 * Student Number: xxxxxxxxx
 *
 * Declaration: I hereby assert that this application was written by me. I
 * understand that it is a violation of the Senate Policy on Academic Honesty
 * for me to submit someone else's work without identifying it as such and that
 * this is a form of cheating. I also understand that if it is discovered that I
 * have committed a breach of Academic Honesty for cheating or any other charge,
 * then the full extent of available penalties may be brought against me.
 *
 */
public class Check07P {

	public static void main(String[] args) {
		// Step 1a. Print the prompt "Please enter the current year" to the
		// console
		System.out.println("Please enter the current year");

		// Step 1b. Complete the comment block above with your name and student
		// number.

		// Step 1c. declare a variable called input of type Scanner
		Scanner input;

		// Step 1d. Follow the example in Section 2.2.5 about invoking the
		// Scanner constructor in order construct a Scanner object that is
		// connected to the InputStream referenced by System.in.

		input = new Scanner(System.in);

		// Step 1e. Use the variable to represent the what the user has entered.
		// Read what the user has typed using the nextInt() method
		// of the class Scanner.
		// Assign the return value of this method to a double variable called
		// currentYear.

		int currentYear = input.nextInt();


		// Step 1f. Print the value of variable balance to the console,
		// precede the value with the message "The current year is " and follow the value with the suffix "."
		// e.g., If the year is 2010 then the the message should be "The current year is 2010."

		System .out.println ("The current year is " + currentYear + ".");

		// Step 1g. We want to ask the user the year they were born by prompting
		// with the message
		// "Please enter your year of birth". We
		// now need to get a secondary input from the user that is their year of
		// birth as type integer. (Just like we got the current year). Store
		// this input
		// in a new variable called yearOfBirth.
		System.out.println("Please enter your year of birth");
		int yearOfBirth = input.nextInt();

		// Step 1h. The precondition for a year of birth is that it is not after
		// the current year. The relational operators (<, >, <= and >=) can be
		// used in an
		// expression to determine whether the users year of birth is more
		// then the current year. Store the result of the relation in a variable
		// of type boolean called isYearOfBirthImpossible.
		boolean isYearOfBirthImpossible = currentYear < yearOfBirth;

		// Step 1i. If the the users year of birth is more
		// then the current year then the system
		// should crash and display the message
		// "The year of birth cannot be more then the current year.".
		// Validate the deposit amount
		// using the following:
		// Class ToolBox has a static method called crash with the
		// following API
		// static void crash(boolean, String)
		// If the passed boolean is false, the method returns without doing
		// anything.
		// If the passed boolean is true, it triggers a runtime exception whose
		// message is the passed String parameter.
		// For more details, refer to section 3.2.5 (Page 115 2ed and Page 112
		// 3ed)
		ToolBox.crash(isYearOfBirthImpossible,
				"The year of birth cannot be more then the current year.");

		// Step 1j. Subtract the year of birth from the current year to get the users age. Store the value in a integer variable called usersAge.

		int usersAge = currentYear - yearOfBirth;

		// Step 1k. Prompt the user with their age.
		// if the user was born in 1991 and the current year is 2010 then the message should be "You are 19 years old".
		System.out.println("You are "+usersAge+" years old");

	}
}
