package soln;

import helper.Helper;

import javax.swing.*;


public class Check07L {

	public static void main(String[] args) {
		// Step 3a. This time we want to use a dialog to prompt the user with
		// the
		// message "Please enter a bank balance in dollars:". The JOptionPane
		// utility class has
		// a static method:
		// public String showInputDialog(String message)
		// store the result in a new variable called dialogInput
		// For more details, refer to section 3.3.3 (Page 123 2ed and Page 120
		// 3ed)
		String dialogInput = JOptionPane
				.showInputDialog("Please enter a bank balance in dollars:");

		// Step 3b. The class Double has a static method for converting strings
		// into values of type double:
		// public static double parseDouble(String input);
		// Use the method to convert the dialogInput String into a double and
		// store it in a new variable balance.
		// For more details, refer to Page 123 2ed and Page 120 3ed
		double balance = Double.parseDouble(dialogInput);

		// Step 3c. We want to prompt the user with the balance amount. The
		// JOptionPane utility class has a static method:
		// public String showMessageDialog(Component component, String message)
		// Set the component argument to null.
		// For more details, refer to section 3.3.3 (Page 123 2ed and Page 120
		// 3ed)
		// The message "Your current balance is" and follow the value with the
		// suffix " dollars." should be displayed
		// e.g., if balance=-500, the message should be
		// "Your current balance is -500 dollars."
		JOptionPane.showMessageDialog(null, "You current balance is " + balance
				+ " dollars.");

		// Step 3b. We want the user to be allowed to deposit money to the
		// bank
		// account. This time we want to use a dialog to prompt the user with
		// the
		// message "Enter the deposit amount". Use the JOptionPane static method
		// showInpuDialog like in step 3a.
		dialogInput = JOptionPane.showInputDialog("Enter the deposit amount:");

		// Step 3c. Follow step 3b but this time store the output in the new variable called deposit.
		// Use the method to convert the dialogInput String into a double.
		// For more details, refer to Page 123 2ed and Page 120 3ed
		double deposit = Double.parseDouble(dialogInput);

		// Step 3d.  Repeat Step. 1h from Check07J.
		final int ZERO = 0;
		boolean isDepositNegative = deposit < ZERO;

		// Step 3e. If the deposit amount is of negative value then the
		// system
		// should crash and display the message
		// "The deposit value cannot be negative.". 
		// The class Helper has the following static method:
		// static void crashDialog(boolean condition, String method)
		// This method provides this service.
		Helper.crashDialog(isDepositNegative, "The deposit value cannot be negative.");

		// Step 3f. Repeat Step. 1j from Check07J.

		balance = balance + deposit;

		// Step 3g. Prompt the user with the amount they withdrew and their new
		// balance. See step 3c.
		// If the balance was 500 dollars and the user deposit 200 dollars
		// then the balance should now be 300 dollars. The user would see:
		// " You deposited 100 dollars. Your new balance is 300 dollars."
		JOptionPane.showMessageDialog(null, "You deposited " + deposit
				+ " dollars. Your new balance is " + balance + " dollars.");
	}
}
