package soln;

import helper.Helper;
import javax.swing.JOptionPane;

public class Check07M {

	public static void main(String[] args) {
		// Step 4a. Cut and paste all the statements from the body of the main
		// method of previous step in the space immediately after this comment
		// but
		// before the start of the next comment. Remove all of the
		// comments from the previous step.
		String dialogInput = JOptionPane
				.showInputDialog("Please enter a bank balance in dollars:");
		double balance = Double.parseDouble(dialogInput);
		JOptionPane.showMessageDialog(null, "You current balance is " + balance
				+ " dollars.");
		dialogInput = JOptionPane.showInputDialog("Enter the deposit amount:");
		double deposit = Double.parseDouble(dialogInput);
		final int ZERO = 0;
		boolean isDepositNegative = deposit < ZERO;
		Helper.crashDialog(isDepositNegative,
				"The deposit value cannot be negative.");

		balance = balance + deposit;
		JOptionPane.showMessageDialog(null, "You deposited " + deposit
				+ " dollars. Your new balance is " + balance + " dollars.");

		// Step 4b. We want the user to be allowed to withdrawal money to the
		// bank
		// account. This time we want to use a dialog to prompt the user with
		// the
		// message "Enter the withdrawal amount". The JOptionPane utility class
		// has
		// a static method:
		// public String showInputDialog(String message)
		// store the result in a new variable called dialogInput
		// For more details, refer to section 3.3.3 (Page 123 2ed and Page 120
		// 3ed)
		dialogInput = JOptionPane
				.showInputDialog("Enter the withdrawal amount:");

		// Step 4c. The class Double has a static method for converting strings
		// into values of type double:
		// public static double parseDouble(String input);
		// Use the method to convert the dialogInput String into a double.
		// For more details, refer to Page 123 2ed and Page 120 3ed
		double withdrawal = Double.parseDouble(dialogInput);

		// Step 3d. Repeat Step. 2c from Check07K.
		boolean isWithdrawalNegative = withdrawal < ZERO;

		// Step 3e. If the withdrawal amount is of negative value then the
		// system
		// should crash and display the message
		// "The withdrawal value cannot be negative.".
		// The class Helper has the following static method:
		// static void crashDialog(boolean condition, String method)
		Helper.crashDialog(isWithdrawalNegative,
				"The withdrawal value cannot be negative.");

		// Step 3f. Repeat Step. 2e from Check07K.

		balance = balance - withdrawal;

		// Step 3g. Prompt the user with the amount they withdrew and their new
		// balance. The JOptionPane utility class has a static method:
		// public String showMessageDialog(Component component, String message)
		// Set the component argument to null.
		// For more details, refer to section 3.3.3 (Page 123 2ed and Page 120
		// 3ed)
		// If the balance was 500 dollars and the user withdrew 200 dollars
		// then the balance should now be 300 dollars. The user would see:
		// " You withdrew 200 dollars. Your new balance is 300 dollars."
		JOptionPane.showMessageDialog(null, "You withdrew " + withdrawal
				+ " dollars. Your new balance is " + balance + " dollars.");
		
		/**
		 * Marking
		 * 
		 * Step 1: 
		 * 
		 * /2 prompt for and read in user input
		 * /2 construction of boolean expression  
		 * /2 correct use of crash method from Toolbox
		 * /2 derivation and output of correct value  
		 * 
		 * Step 2: 
		 * 
		 * /3 derivation of new qty and output  
		 * 
		 * Step 3: 
		 * 
		 * /2 correct use of input dialog  
		 * /2 correct use of parseInt
		 * /2 correct use of message dialog
		 * /2 correct elicitation of next input and derivation of qty
		 * /2 correct formulation of boolean 
		 * /2 correct use of crashDialog from Helper
		 * 
		 * Step 4: 
		 * 
		 * /3 correct implementation of specification
		 * 
		 * Total: /8 + /3 + /12 + /3
		 * 
		 */


	}
}
